:host {
  width: 100%;
  height: 100%;
  min-width: 0;
  position: relative;
  overflow: hidden;
}

.sqtm-grid-viewport {
  overflow-y: hidden;
  align-items: flex-start;
}

.sqtm-grid-header-viewport {
  width: 100%;
  max-width: 100%;
  overflow-x: hidden;
  border-bottom: var(--container-border-color) solid 2px;
}

.sqtm-grid-row-viewport {
  position: relative;
}

.sqtm-grid-header-cell {
  position: absolute;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  height: 100%;
}

.async-overlay {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100%;
  height: 100%;
  max-height: 100%;
  background-color: rgba(189, 189, 189, 0.3);
  user-select: none;
  pointer-events: none;
  z-index: 1000;
  font-size: 30px;
}
